Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.https.socket
Class SSLSocketClientFactory

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.socket.SocketClientFactory
            |
            +--org.w3c.jigsaw.https.socket.SSLSocketClientFactory

All Implemented Interfaces:
  ClientFactory, PropertyMonitoring, Status

public class SSLSocketClientFactory
extends SocketClientFactory

Field Summary

Fields inherited from class org.w3c.jigsaw.http.socket.SocketClientFactory
`AVG_DEAD, AVG_HIGH, AVG_LIGHT, AVG_NORMAL, BINDADDR_P, IDLETO, IDLETO_P, MAXCLIENTS, MAXCLIENTS_P, MAXSPARE_FREE, MAXSPARE_FREE_P, MAXSPARE_IDLE, MAXSPARE_IDLE_P, MAXTHREADS, MAXTHREADS_P, MINSPARE_FREE, MINSPARE_FREE_P`

Constructor Summary
`SSLSocketClientFactory()` default constructor of this factory

Method Summary
`java.net.ServerSocket` | `createServerSocket()` method for creating a secure server socket
`void` | `initialize(httpd server)` method for intializing this factory
`boolean` | `propertyChanged(java.lang.String name)` method for handling a dynamic property modification

Methods inherited from class org.w3c.jigsaw.http.socket.SocketClientFactory
`addClient, clientConnectionFinished, clientFinished, deleteClient, getHTMLStatus, handleConnection, idleClientRemove, killClients, killSomeClients, killSomeClients, notifyIdle, notifyUse, run, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLSocketClientFactory

    public SSLSocketClientFactory()

  default constructor of this factory

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  method for creating a secure server socket

  Specified by:
    `createServerSocket` in interface `ClientFactory`
  Overrides:
    `createServerSocket` in class `SocketClientFactory`
  Returns:
    a new server socket instance
  Throws:
    `java.io.IOException` - If some IO error occurs while creating the server socket.

### initialize

    public void initialize(httpd server)

  method for intializing this factory

  Specified by:
    `initialize` in interface `ClientFactory`
  Overrides:
    `initialize` in class `SocketClientFactory`
  Parameters:
    `server` - the daemon of this factory

### propertyChanged

    public boolean propertyChanged(java.lang.String name)

  method for handling a dynamic property modification

  Specified by:
    `propertyChanged` in interface `PropertyMonitoring`
  Overrides:
    `propertyChanged` in class `SocketClientFactory`
  Parameters:
    `name` - the name of the property modified
  Returns:
    true if and only if the modification has been handled successfully

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD